Ubuntu 20.04 LTS и поддержка Qt4

Обновление до 20.04 LTS принесло неожиданный сюрприз. Нет я конечно читал что они выпилили поддержку Qt4, и на текущий момент официально там шестая версия. Но вот то что Parallels Client использует libqt4 я вообще забыл. А тут еще как назло обо мне вспомнили те самые товарищи «за двумя NAT’ами«.

Полез за свежим клиентом, 20.04-то давно вышла, думаю — ну должны же были за почти год-то обновить приложуху, но нет, версия уже 18.0.1, но судя по Changelog — болта они на это поклали. И правильно, кого волнуют «шибко умные люди» обновляющие LTS Ubuntu спустя почти год после выхода 😀

Но решение как оказалось уже есть:

sudo add-apt-repository ppa:rock-core/qt4
sudo apt-get update
sudo apt-get install libqtcore4

Качаем клиент посвежее, устанавливаем —> Profit

Добавить комментарий